Bug 131182 - new menu item: DOCUMENT, or a new sub-menu item FILES / Outline (enhancement, development)
Summary: new menu item: DOCUMENT, or a new sub-menu item FILES / Outline (enhancemen...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2020-03-06 10:28 UTC by peter josvai
Modified: 2020-03-12 19:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description peter josvai 2020-03-06 10:28:32 UTC
hi, 

I think I'm aware how complex Writer and its menus already are...
and how problematic it could be to even TOUCH any pert of it :)

but.. it can't hurt to think about it :)

a new menu item, DOCUMENT seems as a logical next step...
(I hope it's not a past step, I mean, I hope that a menu item like that has not been dropped  during the evolution of LO Writer)

because there are actions (functionalities) which handle the document as a whole... I mean, not character, not paragraph, not section, but DOCUMENT :)

- - -
in that "master document" related menu items could be placed...
as well as OUTLINE-related ones...

and from TOOLS, "chapter numbering" could also come here...

also, from FILE, "export" and "export as", and most parts of "send", too, could come..

//-- in any case, I'm sure you knew what I meant the moment you read "new menu item"... :) :) cause, I'm sure, this is something you're all the time giving thoughts during any step of development  --//

- - -
as ONE huge step of the LEAP I just referred to above could be 
a new SUB-menu item, under FILE, named: OUTLINE...

"Outline" could swallow "send outline to ..." and "create abstract" from "send"...

and, optionally, also chapter numbering, from under TOOLS... 
with footnotes / endnotes and line numbering....

and for these, for some time, like  a year... DUMMY menu items could be left there..

with an option in OPTIONS to show or hide dummy menu items :) :) 
(which, when set to "hide", could be sent back to the dev HQ, 
giving a pretty good picture on how much the users have adopted it, or need it still..)

- - -
PS:
properties can "also" go under DOCUMENT...
and track changes, too...

and navigator and styles also could have their entries there...

bibliography database

and

word count   likewise...

OKAY, sorry! :) 
this is an iceberg, doubtlessly! 
but it might be able to think about it, which I don't assume you don't (!),
but wanted to contribute to it...
and allowing others to do so too...



- - - thank you for developing LO Writer - - -
Comment 1 Heiko Tietze 2020-03-11 13:29:25 UTC
Would never search for export anywhere else but File. And I don't see another root item to improve anything, plus there are likely not enough items for this category. Other opinions?
Comment 2 Dieter 2020-03-11 16:33:52 UTC
Difference between File and Document wouldn't be clear (at least it isn't clear for me). Could you please give a definition for File and Document that makes a clear distinction?

=> NEEDINFO
Comment 3 Thomas Lendo 2020-03-12 09:08:42 UTC
In principle, a Document root menu item makes sense in Writer compared to Sheet in Calc.

But there are not as many items as in Calc with Sheet to justify a new root menu item. As Dieter said, normal user will be confused with File / Document.

The minimum information to discuss this is a list of menu items that should moved to it. Then we can see the benefit.

Otherwise and because this is a huge change in Writer UI, we should try to avoid this.
Comment 4 Dave Barton 2020-03-12 09:59:00 UTC
-1. This proposal does nothing to make the software easier to use or understand. Such a reorganization of the core menus would make the UI even more confusing for inexperienced users.
Comment 5 Roman Kuznetsov 2020-03-12 10:04:59 UTC
Changings for changings

-1 from me
Comment 6 Adolfo Jayme 2020-03-12 19:41:59 UTC
I’ll go ahead and mark this as WONTFIX for a reason I will state in a moment, and with this action I don’t mean to imply that we do not welcome UX suggestions — rather the opposite! But you should weigh the consequences of making any changes to menus, and those are an increasingly painful weight put on the shoulders of documentation writers and translators, all of whom are volunteers who gain nothing from the extra effort to update their content to reflect endless UI changes. Also, users themselves are affected in that they are forced to re-learn where things are in each release.

In the past we had a contributor, J. P., who implemented many menu changes in a very rapid pace, without giving a real chance to others in the documentation and l10n teams to give input. Since he was met with little friction, he went on like this for a few releases. Now we have sizable problems in updating now-obsolete help strings (since he didn’t bother with it and discrepancies were only noticed individually by bug reporters afterwards), and translators (some of them like me, polyglots who work on several languages, and in many cases in charge only by themselves of the whole translation to their languages) had to deal with the fallout. I, personally, haven’t been able to again complete to 100% the help translations to Spanish and Asturian since then, and a few years have passed! Do you see the problem now?